JacocoLimit (Gradle API 8.11)

Package org.gradle.testing.jacoco.tasks.rules

## Interface JacocoLimit

- All Superinterfaces:
    `java.io.Serializable`

      public interface JacocoLimit
      extends java.io.Serializable

  Defines a Jacoco rule limit.
  Since:
    3.4

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getCounter()` | The counter that applies to the limit as defined by org.jacoco.core.analysis.ICoverageNode.CounterEntity.
    `java.math.BigDecimal` | `getMaximum()` | Gets the maximum expected value for limit.
    `java.math.BigDecimal` | `getMinimum()` | Gets the minimum expected value for limit.
    `java.lang.String` | `getValue()` | The value that applies to the limit as defined by org.jacoco.core.analysis.ICounter.CounterValue.
    `void` | `setCounter​(java.lang.String counter)` | Sets the counter that applies to the limit.
    `void` | `setMaximum​(java.math.BigDecimal maximum)` | Sets the maximum expected value for limit.
    `void` | `setMinimum​(java.math.BigDecimal minimum)` | Sets the minimum expected value for limit.
    `void` | `setValue​(java.lang.String value)` | Sets the value that applies to the limit.

- - ### Method Detail

    - #### getCounter

          @Input
          java.lang.String getCounter()

      The counter that applies to the limit as defined by org.jacoco.core.analysis.ICoverageNode.CounterEntity. Valid values are INSTRUCTION, LINE, BRANCH, COMPLEXITY, METHOD and CLASS. Defaults to INSTRUCTION.

    - #### setCounter

          void setCounter​(java.lang.String counter)

      Sets the counter that applies to the limit.
      Parameters:
        `counter` - Counter

    - #### getValue

          @Input
          java.lang.String getValue()

      The value that applies to the limit as defined by org.jacoco.core.analysis.ICounter.CounterValue. Valid values are TOTALCOUNT, MISSEDCOUNT, COVEREDCOUNT, MISSEDRATIO and COVEREDRATIO. Defaults to COVEREDRATIO.

    - #### setValue

          void setValue​(java.lang.String value)

      Sets the value that applies to the limit.
      Parameters:
        `value` - Value

    - #### getMinimum

          @Nullable
          @Optional
          @Input
          java.math.BigDecimal getMinimum()

      Gets the minimum expected value for limit. Default to null.

    - #### setMinimum

          void setMinimum​(@Nullable
                          java.math.BigDecimal minimum)

      Sets the minimum expected value for limit.
      Parameters:
        `minimum` - Minimum

    - #### getMaximum

          @Nullable
          @Optional
          @Input
          java.math.BigDecimal getMaximum()

      Gets the maximum expected value for limit. Default to null.

    - #### setMaximum

          void setMaximum​(@Nullable
                          java.math.BigDecimal maximum)

      Sets the maximum expected value for limit.
      Parameters:
        `maximum` - Maximum